get
https://api.trulioo.com/configuration/v1/documentTypes/
Gets the types of documents available for a country.
SDKs
//Example Username: JoeNapoli_API_Demo, Example Password: 05uZuPRCyPi!6
var truliooClient = new TruliooApiClient("JoeNapoli_API_Demo", "05uZuPRCyPi!6");
Dictionary<string, IList<string>> record = await truliooClient.Configuration.GetDocumentTypesAsync("AU");//Example Username: JoeNapoli_API_Demo, Example Password: 05uZuPRCyPi!6
ApiClient apiClient = new ApiClient();
apiClient.setUsername("JoeNapoli_API_Demo");
apiClient.setPassword("05uZuPRCyPi!6");
ConfigurationApi configurationClient = new ConfigurationApi(apiClient);
//getDocumentTypes
Map<String, List<String>> documentTypes = configurationClient.getDocumentTypes("AU");
//getDocumentTypesAsync
configurationClient.getDocumentTypesAsync("AU", new ApiCallback<Map<String, List<String>>>() {
@Override
public void onFailure(ApiException e, int statusCode, Map<String, List<String>> responseHeaders) {
Logger.getLogger(SdkJavaV1Sample.class.getName()).log(Level.SEVERE, null, e);
}
@Override
public void onSuccess(Map<String, List<String>> result, int statusCode, Map<String, List<String>> responseHeaders) {
System.out.println(result);
}
@Override
public void onUploadProgress(long bytesWritten, long contentLength, boolean done) {
//To change body of generated methods, choose Tools | Templates.
}
@Override
public void onDownloadProgress(long bytesRead, long contentLength, boolean done) {
//To change body of generated methods, choose Tools | Templates.
}
}); 400Your request could not be processed, there should be more details in the response.
401The user name and password you provided is not valid or you are using an account not configured to be an API user.
408The request took longer to process than we waited.
415You asked for a media type that we do not support. You should request application/json in the Content-Type header.
500An error happened on the server without a specific message.

